function Lloc = LOAD_LFE(Vertices, QuadRule, FHandle)
Lloc = zeros(2,1);

%% Shape Function, Element Mapping, evaluate Data Function
N = shap_LFE(QuadRule.x);
h = Vertices(2)-Vertices(1);
F = FHandle(Vertices(1) + QuadRule.x * h);

%% Compute integrals using quadrature
Lloc(1) = sum(N(:,1) .* F .* QuadRule.w * h);
Lloc(2) = sum(N(:,2) .* F .* QuadRule.w * h);

