function L = assemLoad_LFE(Coordinates,QuadRule,FHandle)
%% Initialize constants 
nCoordinates = size(Coordinates,1);

%% Preallocate memory
L = zeros(nCoordinates,1);
Lloc = zeros(2,1);

%% Assemble element contributions
vidx = [1 2];
for i = 1:(nCoordinates-1)
    %% Compute element load vector
    Lloc = LOAD_LFE(Coordinates(vidx),QuadRule, FHandle);  

    L(vidx(1)) = L(vidx(1)) + Lloc(1);
    L(vidx(2)) = L(vidx(2)) + Lloc(2);

    % Update current element 
    vidx = vidx+1;
end
