function Aloc = STIMA_Heat_LFE(Vertices,QuadRule,FHandle)
Aloc = zeros(2,2);
  
%% Shape Function, Element Mapping, evaluate Data Function
N = grad_shap_LFE(QuadRule.x);
h = Vertices(2)-Vertices(1);
D = FHandle(Vertices(1) + QuadRule.x * h);

%% Compute integrals using quadrature
Aloc(1,1) = sum(N(:,1) .* N(:,1) .* D .* QuadRule.w)/h;
Aloc(1,2) = sum(N(:,1) .* N(:,2) .* D .* QuadRule.w)/h;
Aloc(2,1) = Aloc(1,2); % symmetric
Aloc(2,2) = sum(N(:,2) .* N(:,2) .* D .* QuadRule.w)/h;
