fprintf('\n\n##shap_LFE:')
shap_LFE([0.2; 0.4])

fprintf('\n\n##grad_shap_LFE:')
grad_shap_LFE([0.2; 0.4])

fprintf('\n\n##STIMA_Heat_LFE:')
STIMA_Heat_LFE([0.2; 0.4], gauleg(0,1,5), @(x) x.^2)

fprintf('\n\n##LOAD_LFE:')
LOAD_LFE([0.2; 0.4], gauleg(0,1,5), @(x) x.^2)

Coordinates = [0; .5; .7; 1];
u = [0; 0.8; 0.5; 0];

fprintf('\n\n##eval_LFE:')
[ux, x] = eval_LFE(Coordinates, u, [0; .3; 1]); ux',x'

fprintf('\n\n##eval_globalWeights:')
w = eval_globalWeights(Coordinates, [.2; .5; .3])'

fprintf('\n\n##plot_LFE:')
%plot_LFE(u, Coordinates)
plot_LFE([0; .5; .7; 1],[0; 0.1; 0.5; 0])

fprintf('\n\n##L2Err_LFE:')
err=L2Err_LFE(Coordinates,u, gauleg(0,1,5), @(x) x) % TODO: change to x.^2

fprintf('\n\n##assemMat_LFE:')
A=full(assemMat_LFE(Coordinates, @STIMA_Heat_LFE, gauleg(0,1,5), @(x) 1+x))

fprintf('\n\n##assemLoad_LFE:')
ell=assemLoad_LFE(Coordinates, gauleg(0,1,5), @(x) x)' 
